Package org.apache.synapse.commons.evaluators

## Class EqualEvaluator

- java.lang.Object
- - org.apache.synapse.commons.evaluators.EqualEvaluator

- All Implemented Interfaces:
    `Evaluator`

      public class EqualEvaluator
      extends Object
      implements Evaluator

  Try to see weather a part of the HTTP request is equal to the value provided. If the values are equal retun true.

       <equal type="header | param | url" source="" value=""/>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EqualEvaluator()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `evaluate​(EvaluatorContext context)` | Evaluate a boolean expression
    `String` | `getName()` | Name of the evaluator
    `SourceTextRetriever` | `getTextRetriever()` |
    `String` | `getValue()` |
    `void` | `setTextRetriever​(SourceTextRetriever textRetriever)` |
    `void` | `setValue​(String value)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EqualEvaluator

          public EqualEvaluator()

  - ### Method Detail

    - #### evaluate

          public boolean evaluate​(EvaluatorContext context)
                           throws EvaluatorException

      Description copied from interface: `Evaluator`
      Evaluate a boolean expression
      Specified by:
        `evaluate` in interface `Evaluator`
      Parameters:
        `context` - hold the information about the HTTP request
      Returns:
        result of evaluating the boolean expression
      Throws:
        `EvaluatorException` - if an error occurs while evaluating the HTTP request

    - #### getName

          public String getName()

      Description copied from interface: `Evaluator`
      Name of the evaluator
      Specified by:
        `getName` in interface `Evaluator`
      Returns:
        name of the evaluator

    - #### setValue

          public void setValue​(String value)

    - #### setTextRetriever

          public void setTextRetriever​(SourceTextRetriever textRetriever)

    - #### getValue

          public String getValue()

    - #### getTextRetriever

          public SourceTextRetriever getTextRetriever()